Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IBomItem

All Superinterfaces:
  IAtp, IBasicPrice, ICount, IOption, IOptionFeature, IPrice, IRuntimeNode, IState

All Known Implementing Classes:
  BomNode

public interface IBomItem
extends IOptionFeature, IOption, IPrice, IAtp

Implemented by all selectable BOM items.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from interface oracle.apps.cz.cio.IState
`FALSE, LFALSE, LTRUE, SELECTABLE, SYSTEM_EXCLUDED, TOGGLE, TRUE, UFALSE, UNKNOWN, UTRUE`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`java.lang.String` | `getComponentCode()` Returns component code of item.
`double` | `getDecimalDefaultQuantity()` Gets the decimal default quantity.
`double` | `getDecimalMaxQuantity()` Gets the maximum quantity.
`double` | `getDecimalMinQuantity()` Gets the minimum quantity.
`int` | `getDefaultQuantity()` Gets the integer default quantity.
`java.lang.String` | `getECC()` Returns the Extended Component Code (ECC) of this BOM item.
`int` | `getInventoryItemId()` Returns Oracle Applications inventory_item_id of item.
`int` | `getMaxQuantity()` Gets the maximum quantity.
`int` | `getMinQuantity()` Gets the minimum quantity.
`int` | `getOrganizationId()` Returns Oracle Applications organization_id of item.
`java.lang.String` | `getPrimaryUomCode()` Gets primary unit of measure code for item.
`boolean` | `hasDefaultQuantity()` Reuturns true if the BOM item has default quantity
`boolean` | `hasMaxQuantity()` Reuturns true if the BOM item has maximum quantity
`boolean` | `hasMinQuantity()` Returns true if the BOM item has minimum quantity
`boolean` | `isRequired()` Returns `true` if this is a required BOM item.

Methods inherited from interface oracle.apps.cz.cio.IOptionFeature
`areOptionsCounted, deselect, getMaxSelected, getMinSelected, getSelectableChildren, getSelectedOption, getSelectedOptions, hasMaxSelected, hasMinSelected, isSelectionMutexed, select`

Methods inherited from interface oracle.apps.cz.cio.IState
`getDetailedSelectionState, getSelectionState, getState, isFalse, isLogic, isTrue, isUnknown, isUser, setState, unset`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Methods inherited from interface oracle.apps.cz.cio.ICount
`getCount, getDecimalCount, setCount, setDecimalCount`

Methods inherited from interface oracle.apps.cz.cio.IOption
`deselect, isOptionCounted, isOptionMutexed, isSelected, select, toggleAndSetCount, toggleAndSetDecimalCount`

Methods inherited from interface oracle.apps.cz.cio.IPrice
`getBaselineQuantity, getDeltaQuantity, getDiscountedPrice, getDiscountedPricingNotifications, getExtendedPrice, getItemKey, getPricingNotifications, getUomCode`

Methods inherited from interface oracle.apps.cz.cio.IBasicPrice
`addListPricingNotification, getListPrice, getListPricingNotifications, getPricedNodeID, getValue, hasInventoryItemId, hasListPrice, setListPrice`

Methods inherited from interface oracle.apps.cz.cio.IAtp
`getAtpDate, getAtpNotifications, getDatabaseID, getFormattedAtpDate, getItemKey, getUomCode, hasAtpDate`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### isRequired

    public boolean isRequired()

  Returns `true` if this is a required BOM item.

### hasMinQuantity

    public boolean hasMinQuantity()

  Returns true if the BOM item has minimum quantity

### getMinQuantity

    public int getMinQuantity()

  Gets the minimum quantity.

### getDecimalMinQuantity

    public double getDecimalMinQuantity()

  Gets the minimum quantity.

### hasMaxQuantity

    public boolean hasMaxQuantity()

  Reuturns true if the BOM item has maximum quantity

### getMaxQuantity

    public int getMaxQuantity()

  Gets the maximum quantity.

### getDecimalMaxQuantity

    public double getDecimalMaxQuantity()

  Gets the maximum quantity.

### hasDefaultQuantity

    public boolean hasDefaultQuantity()

  Reuturns true if the BOM item has default quantity

### getDefaultQuantity

    public int getDefaultQuantity()

  Gets the integer default quantity.

### getDecimalDefaultQuantity

    public double getDecimalDefaultQuantity()

  Gets the decimal default quantity.

### getPrimaryUomCode

    public java.lang.String getPrimaryUomCode()

  Gets primary unit of measure code for item.

### getInventoryItemId

    public int getInventoryItemId()

  Returns Oracle Applications inventory_item_id of item.
  Specified by:
    `getInventoryItemId` in interface `IBasicPrice`

### getOrganizationId

    public int getOrganizationId()

  Returns Oracle Applications organization_id of item.
  Specified by:
    `getOrganizationId` in interface `IBasicPrice`

### getComponentCode

    public java.lang.String getComponentCode()

  Returns component code of item. Component code is used to identify the item within an exploded bill of materials.
  Specified by:
    `getComponentCode` in interface `IBasicPrice`

### getECC

    public java.lang.String getECC()

  Returns the Extended Component Code (ECC) of this BOM item. Extended Component Code have instance numbers also at each level of the component code to identify the correct instance of this BOM item.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.